.footer-style-34 {

    .footer-content-middle {
        padding: 72px 18px 76px 18px !important;
    }

    .control:before {
        display: none !important;

    }

    .newsletter-content {
        position: relative !important;
    }

    .custom-input {
        background-color: transparent !important;
        border-width: 0px !important;
        border-bottom-width: 1px !important;
        border-color: #000000 !important;
        padding: 0 !important;
        padding-bottom: 15px !important;
        font-size: 15px !important;
        color: #585858 !important;
        padding-bottom: 6px !important;
        padding-right: 30px !important;
    }

    .action.subscribe {
        position: relative;
        bottom: 8px;
    }

    .h5 {
        color: black !important;
        font-weight: 600 !important;
    }

    li,
    a {
        color: black !important;
    }

    #footer-content-6 {
        position: relative;
    }

    .input-label {
        position: absolute;
        right: 3px;
        top: 45px;
        font-size: 13px;
        color: #333333;
    }

    input::placeholder {
        color: #585858 !important;

    }

    .social-container {
        display: flex;
        gap: 24px;
        align-items: center;

        img {
            transition: all 250ms ease;
        }

    }

    .action.subscribe:after {
        display: none !important;
    }

    .action.subscribe:hover {
        transform: translateX(-32px) scale(1.1) !important;
    }

    .newsletter-msg {
        padding-top: 8px !important;
        padding-bottom: 17px !important;
    }

    @media only screen and (min-width: 768px) {
        .col-sm-16 {
            padding: 0 !important;
        }

        .mb-15 {
            margin: 0 0 30px !important;
        }

    }


    @media only screen and (max-width: 768px) {

        .col-sm-16 {

            padding: 0 !important;
        }

        .link-toggle {
            margin: 0px !important;
        }

        #footer-content-5 {
            padding: 20px;
        }

        .footer-content-mobile {
            padding: 0px 20px;
        }

        .footer-content-middle {
            padding: 0px !important;
        }



        .h5 {
            padding: 20px !important;
            border-top: solid 1px #EBEBEB !important;
            font-style: normal !important;
            font-weight: 600 !important;
            font-size: 15px !important;

        }

        .newsletter-content {
            margin: 48px 0px !important;
        }

        .newlsetter-mobile-title {
            padding-bottom: 0 !important
        }

        .footer-link {
            padding: 5px 20px !important;
        }

        .boutique-link {

            font-weight: 600 !important;
            font-size: 16px !important;
            justify-content: start !important;

        }

        .footer-buttons-wrapper {

            span,label{
                font-weight: 600;
                font-size: 14px!important;
            }

            .link-toggle,
            .sliding-window-container {
                padding: 20px 15px;
                border-top: solid 1px #EBEBEB !important;
            }
        }

    }

}

.page-footer {

    padding-bottom: 0px !important;

    #language-trigger {
        background: transparent !important;
        padding: 0 !important;
        border: 0 !important;
        height: min-content !important;
    }

    .d-flex-end {
        display: flex;
        justify-content: flex-end;
        gap: 32px;
    }

    .footer-address {

        padding: 35px 18px !important;

        button {
            background: transparent !important;
            padding: 0 !important;
            border: 0 !important;
            height: min-content !important;
        }

        p {
            margin: 0 !important;
        }

    }

    .flex {
        display: flex;
        align-items: center;
        gap: 10px;
    }

    @media only screen and (min-width: 768px) {
        .text-left {
            text-align: left;
        }

        .text-12 {
            font-size: 12px;
        }

        .sm-d-none {
            display: none !important;
        }
    }

    @media only screen and (max-width : 768px) {
        .footer-address {
            padding: 25px 18px !important;
        }

        .block.newsletter {
            margin: 0px !important
        }

        .max-sm-d-none {
            display: none;
        }

        #language-trigger {
            padding: 20px !important;
            font-weight: 600 !important;
            font-size: 16px !important;
            justify-content: start !important;
            border-top: solid 1px #EBEBEB !important;
        }
    }
}